 SELECT
    warpSkyfile.*,
    rawExp.camera
FROM stackRun
JOIN stackInputSkyfile
    USING(stack_id)
JOIN warpSkyfile
    ON  stackInputSkyfile.warp_id = warpSkyfile.warp_id
    AND stackRun.skycell_id       = warpSkyfile.skycell_id
    AND stackRun.tess_id          = warpSkyfile.tess_id
JOIN warpInputExp
    ON stackInputSkyfile.warp_id = warpInputExp.warp_id
JOIN camProcessedExp
    ON warpInputExp.cam_id = camProcessedExp.cam_id
JOIN chipProcessedExp
    ON camProcessedExp.chip_id = chipProcessedExp.chip_id
JOIN rawExp
    ON chipProcessedExp.exp_tag = rawExp.exp_tag
WHERE
    stackRun.state = 'run'
